Subject: bug#8838: tty-run-terminal-initialization fails

From: Ted Zlatanov <[email-masked]>
Date: Sun, 12 Jun 2011 17:42:59 -0500

On Sat, 11 Jun 2011 18:54:24 -0400 Glenn Morris <[email-masked]> wrote: 

GM> Glenn Morris wrote:
>> tty-run-terminal-initialization: Wrong type argument: number-or-marker-p, nil

GM> The error comes from terminal-init-xterm at line 542, where version is nil.

Thank you for fixing that with rev 104578 through 104575 (104575 was the
essential fix).

GM> I also noticed a pointless check at line 511:

GM> (when xterm-extra-capabilities

GM> This code is already inside a "(when xterm-extra-capabilities" at line 488.

Thanks for catching that too, plus your other style fixes and
simplifications.

I disagree with replacing `when' with `if' in the case of just one
clause, which you did in several places.  Rather than simplifying the
code, it complicates reading it IMO.  Since `when' is a macro I think
any performance gains are minor.

Ted